package models

const (
	schedulingSidang = "scheduling_sidang"
)

type SchedulingSidang struct {
	IDSidang     string       `gorm:"column:id;primaryKey;foreignKey;references:Id;constraint:OnUpdate:CASCADE,OnDelete:SET NULL" json:"id"`
	Link         string       `gorm:"column:link" json:"link"`
	JadwalSidang JadwalSidang `gorm:"foreignKey:IDSidang"` // This adds a reference to the JadwalSidang
}

func (SchedulingSidang) TableName() string {
	return schedulingSidang
}
