package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/period_pendaftaran/entity"

type PeriodPendaftaranRepository interface {
	NewPeriodPendaftaran(period entity.PeriodPendaftaran) (output entity.PeriodPendaftaran, err error)
	GetPeriods() (output []entity.PeriodPendaftaran, err error)
	DeletePeriod(id string) (entity.PeriodPendaftaran, error)
	GetPeriodCurrent() ([]entity.PeriodPendaftaran, error)
	SetLivePeriode(id string) (entity.PeriodPendaftaran, error)
	GetPeriodLive() ([]entity.PeriodPendaftaran, error)
}
