package models

import "time"

type BimbinganLogs struct {
	ID              string    `gorm:"type:uuid;primaryKey;default:gen_random_uuid()" json:"id"`
	IDMahasiswa     string    `gorm:"column:id_mahasiswa" json:"id_mahasiswa"`
	Date            time.Time `gorm:"column:date" json:"date"`
	LaporanKemajuan string    `gorm:"column:laporan_kemajuan" json:"laporan_kemajuan"`
	Todo            string    `gorm:"column:todo" json:"todo"`
	NextBimbingan   string    `gorm:"column:next_bimbingan" json:"next_bimbingan"`
	Status          bool      `gorm:"column:status" json:"status"`

	Pengguna Pengguna `gorm:"foreignKey:IDMahasiswa;references:ID"`
}
